# Ad Support

### Ad Label Customisations

<pre class="language-xml"><code class="lang-xml"><strong>    &#x3C;com.firework.videofeed.FwVideoFeedView
</strong>        android:id="@+id/videoFeedView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:fw_adBadgeBackgroundColor="#FFFECD"
        app:fw_adBadgeIsHidden="false"
        app:fw_adBadgeLabel="sponsored"
        app:fw_adBadgeShowOnThumbnails="true"
        app:fw_adBadgeTextColor="#000000"
        app:fw_adBadgeIsHidden="true"
        app:fw_adBadgeTextTypeface="@font/roboto"
        app:fw_feedResource="discovery"
        />
</code></pre>

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
val typeface = Typeface.BOLD //Your custom typeface (font)

val layoutOption = LayoutOption.Builder()
    .feedLayout(FeedLayout.GRID)
    .columnCount(3)
    .build()

val baseOption = BaseOption.Builder()
    .feedResource(FeedResource.Discovery) // It also can be Channel and Playlist.
    .build()
    
val adOption = AdOption.Builder()
    .adsFetchTimeoutInSeconds(10) // This is used for loading retail media network ads in the feed.
    .vastAttributes(
        mapOf(
            "age" to "34",
            "category" to "food",
        ),
    )
    .build()

val adBadgeOption = AdBadgeOption.Builder()
    .adBadgeBackColor(Color.CYAN)
    .adBadgeIsHidden(false)
    .adBadgeLabel(AdBadgeTextType.SPONSORED)
    .adBadgeShowOnThumbnails(true)
    .adBadgeTextColor(Color.WHITE)
    .adBadgeTypeface(typeface)
    .build()
    
val viewOptions = ViewOptions.Builder()
    .layoutOption(layoutOption)
    .baseOption(baseOption)
    .adBadgeOption(adBadgeOption)
    .adOption(adOption)
    .build()
```

{% endtab %}

{% tab title="Java" %}

```java
int typeface = Typeface.BOLD; //Your custom typeface (font)

LayoutOption layoutOptions = new LayoutOption.Builder()
        .feedLayout(FeedLayout.GRID)
        .columnCount(3)
        .build();

BaseOption baseOptions = new BaseOption.Builder()
        .feedResource(FeedResource.Discovery.INSTANCE) // It also can be Channel and Playlist.
        .build();

AdOption adOption = new AdOption.Builder()
        .adsFetchTimeoutInSeconds(10) // This is used for loading retail media network ads in the feed.
        .vastAttributes(
                Map.of(
                        "age" , "34",
                        "category" , "food"
                        )
                )
        .build();

AdBadgeOption adBadgeOption = new AdBadgeOption.Builder()
        .adBadgeBackColor(Color.CYAN)
        .adBadgeIsHidden(false)
        .adBadgeLabel(AdBadgeTextType.SPONSORED)
        .adBadgeShowOnThumbnails(true)
        .adBadgeTextColor(Color.WHITE)
        .adBadgeTypeface(Typeface.defaultFromStyle(typeface))
        .build();

ViewOptions viewOptions = new ViewOptions.Builder()
        .layoutOption(layoutOption)
        .baseOption(baseOption)
        .adBadgeOption(adBadgeOption)
        .adOption(adOption)
        .build();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/android-sdk/integration-guide/ad-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
